@charset "utf-8";
/*
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
トラステック標準WEBサイト PHP + BootStrap
見附ニット組合　カスタム対応
	ver.2026.02.05.mitsukeknit.jp
	ページフッター　スタイルシート
────────────────────────────────────────
FileName:		/resources/css/common-footer.css
Editor:			TRUSTEC
Description:	ページフッター　スタイルシート。
────────────────────────────────────────
2025/02/05:		サンプル開発開始。
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
*/





/* ::::: [CUSTOM PROPERTIES] ::::: */
:root {

	/* Footer
	--------- --------- --------- ------- */
	--footer-color: #ffffff;
	--footer-font-size: var(--common-font-size);
	--footer-font-family: var(--common-font-family-suns);
	--footer-font-weight: var(--common-font-weight);
	--footer-font-style: var(--common-font-style);
	--footer-line-height: var(--common-line-height);
	--footer-letter-spacing: var(--common-letter-spacing);
	--footer-address-color: var(--common-color);

	/* Sitemap
	--------- --------- --------- ------- */
	--footer-sitemap-color: #ffffff;
	--footer-sitemap-font-size: var(--common-font-size-smaller);
	--footer-sitemap-link-font-weight: var(--common-font-weight);

	/* Address
	--------- --------- --------- ------- */
	--footer-addreess-color: var(--common-color);
	--footer-addreess-font-size: var(--common-font-size-smaller);
	--footer-addreess-font-weight: var(--common-font-weight);


	/* Copyright
	--------- --------- --------- ------- */
	--footer-copyright-color: #ffffff;
	--footer-copyright-font-size: var(--common-font-size-smaller);

/*	--footer-return-top-background-color: rgba(255, 255, 255, 1);
	--footer-return-top-color: #6c6c6c;
	--footer-return-top-width: 3rem;
	--footer-return-top-border-radius: 100%;
	--footer-return-top-transition: var(--common-hover-transition);*/
}





/* ::::: [FOOTER] ::::: */

/* Footer Setting
--------- --------- --------- ------- */
footer {
	font-size: var(--footer-font-size);
}

footer a {
}

#page-footer{
	position: relative;
	z-index: 1;
}

.footer-copyright-row{
	display: flex;
	flex-direction: column;
    align-items: center;
}


.copyright-wrapper{
	width: 100%;
    height: 100%;
	display: flex;
    align-items: center;
	justify-content: center;
    color: #261A18;
}
.copyright{
	width: fit-content;
}

/* Address
--------- --------- --------- ------- */
.footer-address {
    margin: auto;
    font-size: 1.1em;
    font-weight: 600;
    padding-top: 3rem;
    padding-bottom: 3rem;
    background-image: url(../images/common/common-fotter-background.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
.address-contents .footer-logo{
    width: 4.5em;
    height: auto;
    margin: auto;
}


.footer-address .footer-brand a {
    width: fit-content;
    font-family: shippori-mincho, sans-serif;
    font-weight: 700;
    font-style: normal;
	color: #ffffff;
}
.footer-address .footer-brand img{
	margin-right: 0;
	margin-bottom: .5em;
}
.address-contents{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	width: fit-content;
	max-width: 300px;
}
.address-wrapper {
    width: fit-content;
	display: flex;
    flex-direction: column;
    justify-content: center;
    font-size: .8rem;
	color: #ffffff;
    align-items: center;
}
.address-wrapper .name2 {
	width: fit-content;
    margin-bottom: .3em;
	line-height: 1.4em;
	font-size: max(1rem, 1.1vw);
    text-align: center;
}
.address-wrapper .address {
	width: fit-content;
    margin-bottom: .3em;
	line-height: 1.4em;
	font-size: max(.9rem, .9vw);
    text-align: center;
}
.address-wrapper .contact-telp {
	width: fit-content;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: center;
}
.address-wrapper .contact-telp .telp{
	letter-spacing: .1em;
	color: #ffffff;
}
@media (max-width: 1199px) {
	.address-contents{
		margin-right: .5rem;
	}
}
@media (max-width: 991px) {
	.address-wrapper .contact-telp{
        margin: unset;
	}
	.address-contents{
		margin-right: 0;
		margin-bottom: 2em;
	}
}
@media (max-width: 767px) {
	.address-wrapper .company-inf {
		margin-bottom: 0.3em !important;
	}
}
@media (max-width: 576px) {
	.address-wrapper .address {
        max-width: 210px;
        margin-bottom: 0;
	}
	.address-wrapper .company-inf {
		font-size: 1em;
	}
	.footer-address{
		padding-bottom: 0;
	}
}

/* Copyright
--------- --------- --------- ------- */
.footer-copyright {
	background-color: var(--footer-copyright-background-color);
	color: var(--footer-copyright-color);
	padding: .5rem 0;
}

.copyright {
	font-size: max(0.7rem, 0.7vw);
	margin: 0;
}

.icon-returnTop {
	background-color: var(--footer-return-top-background-color);
	color: var(--footer-return-top-color);
	font-size: var(--footer-return-top-width);
	width: var(--footer-return-top-width);
	height: var(--footer-return-top-width);
	border: none;
	border-radius: var(--footer-return-top-border-radius);
	display: inline-block;
	transition: var(--footer-return-top-transition);
}
.icon-returnTop:hover,
.icon-returnTop:focus,
.icon-returnTop:active {
	color: #5b8f82;
}

.contact-wrapper{
	border-radius: 0.5em;
	background-color: var(--footer-color);
}

.contact-list {
	list-style: none;
    margin: 0;
    padding: 3em 0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}
.contact-list-item:first-child{
	border-right: solid 1px #00813d;
}

.contact-list-item {
	display: flex;
    flex-direction: column;
    align-items: flex-start;
	width: 50%;
}
.contact-list-item-telp,
.contact-list-item-web {
	width: fit-content;
	display: flex;
    flex-direction: column;
    margin: auto;
}
.contact-telp-caption,
.contact-web-caption {
    font-size: max(0.9em, 1vw) !important;
    font-weight: 600;
    margin-bottom: 0.8em;
}
.contact-list-item .telp{
    display: flex !important;
    flex-direction: column;
    align-items: stretch;
    font-size: max(1.8em, 2vw) !important;
    font-weight: 900 !important;
    letter-spacing: 0.1em;
    padding-bottom: 0;
    color: #00813d !important;
}
.contact-web-link{
	background-color: #00813d;
    color: #ffffff !important;
    border-radius: 0.5em;
	font-weight: 700;
	letter-spacing: 0.1em;
    padding: 1em 1.5em !important;
    font-size: max(1em, 1.2vw) !important;
}
.contact-web-link .link-txt:after {
	content: '\f054';
	font-family: "Font Awesome 7 Free";
	font-weight: 900;
	margin-left: 0.8em;
}


.contact-list-item .business-hours {
    font-size: max(0.5em, 0.4vw) !important;
    font-weight: 600;
    letter-spacing: var(--common-letter-spacing);
    margin-top: 0.5em;
    text-align-last: justify;
    color: var(--header-color);
}

@media (max-width: 767px) {
	.contact-list {
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1.5em 0;
	}
	.contact-list-item {
		width: 100%;
	}
	.contact-list-item:first-child{
		border-right: none;
		border-bottom: solid 1px #00813d;
        padding-bottom: 1.5em;
	}
}